# Get device backup

get ` https://app.mk.io/api/v1/projects/:project_name/fleet/backups/:backup_id/config`

Retrieve a specific backup config by id.

RBAC Capability Required: `fleet.device.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name**  string Required  
- **backup_id**  string Required  
  format: uuid

## Response

- **200**  The device backup entry.

No response body.

## Errors

- **400**  Bad Request

- **error**  object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error

- **code**  string Required  The error code.
      - **detail**  string Required  The error message.
      - **extraDetail**  map from strings to any Optional  Extra information regarding this error.
  
  - **ref**  string Required  A reference to the request that caused the error.
  - **status**  integer Required  The HTTP status code

- **401**  Unauthorized

- **error**  object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error

- **403**  Forbidden

- **error**  object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error

- **404**  Not Found

- **error**  object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error

- **409**  Conflict

- **error**  object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error

- **429**  Too Many Requests

- **error**  object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error

- **500**  Internal Server Error

- **error**  object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - Pertinent information about the error
